# Persian

@Serializable(with = IetfLangSerializer::class )
sealed class Persian : IetfLang (source)

#### Inheritors

AF
IR
Companion

## Types

AF
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object AF : IetfLang.Persian
Companion
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object Companion : IetfLang.Persian
IR
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object IR : IetfLang.Persian

## Properties

code
Link copied to clipboard
open override val code : String
parentLang
Link copied to clipboard
open val parentLang : IetfLang ?
withoutDialect
Link copied to clipboard
open val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLang . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLang ?. toJavaLocaleOrDefault (): Locale
toString
Link copied to clipboard
open override fun toString (): String